<?xml version="1.0" encoding="utf-8"?>
<FrameLayout android:descendantFocusability="beforeDescendants" android:layout_width="fill_parent" android:layout_height="fill_parent"
  xmlns:android="http://schemas.android.com/apk/res/android">
    <RelativeLayout android:layout_gravity="center_vertical" android:id="@id/rl_widget_content" android:background="@android:color/white" android:layout_width="fill_parent" android:layout_height="170.0dip">
        <TextView android:id="@id/tv_line" android:background="#16979797" android:layout_width="fill_parent" android:layout_height="1.0dip" android:layout_marginLeft="15.0dip" android:layout_marginRight="15.0dip" android:layout_marginBottom="55.0dip" android:includeFontPadding="false" android:layout_alignParentBottom="true" />
        <RelativeLayout android:id="@id/rl_widget_city" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="12.0dip" android:layout_marginTop="12.0dip">
            <ImageView android:id="@id/iv_city_icon" android:layout_width="12.0dip" android:layout_height="12.0dip" android:src="@drawable/widget_local_icon_black" android:layout_centerVertical="true" />
            <TextView android:textSize="12.0dip" android:textColor="#ff666666" android:gravity="center_vertical" android:id="@id/tv_city_name" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="5.0dip" android:includeFontPadding="false" android:layout_toRightOf="@id/iv_city_icon" />
        </RelativeLayout>
        <RelativeLayout android:id="@id/rl_widget_update" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="12.0dip" android:layout_marginRight="12.0dip" android:layout_alignParentRight="true">
            <TextView android:textSize="12.0dip" android:textColor="#80666666" android:gravity="center_vertical" android:id="@id/tv_update_time" android:layout_width="wrap_content" android:layout_height="wrap_content" android:includeFontPadding="false" />
            <RelativeLayout android:id="@id/rl_refersh" android:layout_width="12.0dip" android:layout_height="12.0dip" android:layout_marginLeft="5.0dip" android:layout_toRightOf="@id/tv_update_time" android:layout_centerVertical="true" />
        </RelativeLayout>
        <LinearLayout android:orientation="horizontal" android:layout_width="fill_parent" android:layout_height="40.0dip" android:layout_marginLeft="20.0dip" android:layout_marginRight="20.0dip" android:layout_marginBottom="7.0dip" android:baselineAligned="false" android:layout_alignParentBottom="true">
            <RelativeLayout android:id="@id/rl_first_forecast" android:paddingBottom="2.0dip" android:layout_width="0.0dip" android:layout_height="wrap_content" android:layout_weight="1.0">
                <ImageView android:id="@id/iv_first_icon" android:layout_width="35.0dip" android:layout_height="35.0dip" android:layout_centerVertical="true" />
                <TextView android:textSize="12.0dip" android:textColor="#ff666666" android:id="@id/tv_first_time" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="5.0dip" android:layout_marginTop="2.0dip" android:text="@string/tomorrow" android:includeFontPadding="false" android:layout_toRightOf="@id/iv_first_icon" />
                <TextView android:textSize="12.0dip" android:textColor="#80666666" android:ellipsize="end" android:id="@id/tv_first_temp" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="5.0dip" android:layout_marginBottom="2.0dip" android:text="@string/widget_forecast_temp" android:maxLines="1" android:singleLine="true" android:includeFontPadding="false" android:layout_toRightOf="@id/iv_first_icon" android:layout_alignParentBottom="true" />
            </RelativeLayout>
            <RelativeLayout android:gravity="center_horizontal" android:id="@id/rl_second_forecast" android:paddingBottom="2.0dip" android:layout_width="0.0dip" android:layout_height="wrap_content" android:layout_weight="1.0">
                <ImageView android:id="@id/iv_second_icon" android:layout_width="35.0dip" android:layout_height="35.0dip" android:layout_centerVertical="true" />
                <TextView android:textSize="12.0dip" android:textColor="#ff666666" android:id="@id/tv_second_time" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="5.0dip" android:layout_marginTop="2.0dip" android:text="@string/time" android:includeFontPadding="false" android:layout_toRightOf="@id/iv_second_icon" />
                <TextView android:textSize="12.0dip" android:textColor="#80666666" android:ellipsize="end" android:id="@id/tv_second_temp" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="5.0dip" android:layout_marginBottom="2.0dip" android:text="@string/widget_forecast_temp" android:maxLines="1" android:singleLine="true" android:includeFontPadding="false" android:layout_toRightOf="@id/iv_second_icon" android:layout_alignParentBottom="true" />
            </RelativeLayout>
            <RelativeLayout android:gravity="right" android:layout_gravity="center_vertical" android:id="@id/rl_third_forecast" android:paddingBottom="2.0dip" android:layout_width="0.0dip" android:layout_height="wrap_content" android:layout_weight="1.0">
                <ImageView android:id="@id/iv_third_icon" android:layout_width="35.0dip" android:layout_height="35.0dip" android:layout_centerVertical="true" />
                <TextView android:textSize="12.0dip" android:textColor="#ff666666" android:id="@id/tv_third_time" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="5.0dip" android:layout_marginTop="2.0dip" android:text="@string/time" android:includeFontPadding="false" android:layout_toRightOf="@id/iv_third_icon" />
                <TextView android:textSize="12.0dip" android:textColor="#80666666" android:ellipsize="end" android:id="@id/tv_third_temp" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="5.0dip" android:layout_marginBottom="2.0dip" android:text="@string/widget_forecast_temp" android:maxLines="1" android:singleLine="true" android:includeFontPadding="false" android:layout_toRightOf="@id/iv_third_icon" android:layout_alignParentBottom="true" />
            </RelativeLayout>
        </LinearLayout>
        <TextView android:id="@id/tv_bottom" android:visibility="invisible" android:layout_width="wrap_content" android:layout_height="7.0dip" android:layout_above="@id/tv_line" />
        <TextView android:textSize="12.0dip" android:textColor="#80666666" android:ellipsize="end" android:gravity="center" android:id="@id/tv_short_weather" android:background="@drawable/widget_short_back" android:layout_width="137.0dip" android:layout_height="22.0dip" android:text="@string/widget_short_weather" android:maxLines="1" android:singleLine="true" android:includeFontPadding="false" android:layout_above="@id/tv_bottom" android:layout_centerHorizontal="true" />
        <RelativeLayout android:id="@id/rl_weather" android:layout_width="wrap_content" android:layout_height="58.0dip" android:layout_marginBottom="4.0dip" android:layout_above="@id/tv_short_weather" android:layout_centerHorizontal="true">
            <ImageView android:id="@id/iv_weather_icon" android:layout_width="60.0dip" android:layout_height="60.0dip" android:layout_centerVertical="true" />
            <TextView android:textSize="45.0dip" android:textColor="#ff666666" android:gravity="center_vertical" android:id="@id/tv_temp" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="8.0dip" android:includeFontPadding="false" android:layout_toRightOf="@id/iv_weather_icon" android:layout_centerVertical="true" />
            <TextView android:textSize="16.0dip" android:textColor="#ff666666" android:id="@id/tv_weather_des" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginBottom="8.0dip" android:layout_toRightOf="@id/tv_temp" android:layout_alignParentBottom="true" />
        </RelativeLayout>
        <include android:id="@id/il_first_white_5x2" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="180.0dip" layout="@layout/widget4x2_view_first_white" />
    </RelativeLayout>
</FrameLayout>